//Simple Image Share 2.0
function openWin(url, width, height, scrollbars, resizeable) {
	var popup = window.open(url,"",'toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=' + scrollbars + ',resizable=' + resizeable + ',width=' + width +',height=' + height + '');
}
function getGetVars(url,varName){
	var urlA = url.split("?"); 
	var vars = urlA[1].split("&"); 
	for (var i=0;i<vars.length;i++) {   
	      var pair = vars[i].split("=");
	      //remove anchor
	      if(pair[0] == varName) {
	      	return pair[1].replace(/#.*$/,'');
	      }
	 }
}

$(document).ready(function(){ 

	$("#file-upload-button").change(function () {
	    var fileName = $(this).val().replace('C:\\fakepath\\', '');
	    $("#file-upload-filename").html(fileName);
	});


	//tabs
	if ($("#tabs").length) {
		$("#tabs").tabs();
	}

	//accordeon
	if ($("#accordion").length) {
		$("#accordion").accordion({
			autoHeight: false
	    });
	}

	//scrollabe part if multi is activated
	if ($(".scrollable").length) {
		$(".scrollable").scrollable();
	}

	//hide Status Messages
	$("#UpdateDescrStatus, #ShareMailStatus").click(function () {
	    $(this).fadeOut();
	});
	
	//sendmail
	$("#ShareMail").submit(function() {
		$("#ShareMailStatus").hide();
		var mailto = $("#ShareMail input[name='mailto']").val();
		var mailfrom = $("#ShareMail input[name='mailfrom']").val();
		var message = $("#ShareMail textarea[name='message']").text();
		var sc = $("#ShareMail input[name='sc']").val();

    $.ajax({
			type: "POST",
			url: "functions.ajax.php",
			data: {"action":"send","mailfrom":mailfrom,"mailto":mailto,"message":message,"sc":sc},
			success: function(msg){
				$("#ShareMailStatus").html(msg);
				$("#ShareMailStatus").fadeIn();
			}
   });
	 return false;
	});

	//update description
	$("#UpdateDescr").submit(function() {
		$("#UpdateDescrStatus").hide();
		var descr = $("#UpdateDescr input[name='descr']").val();
		var sc = $("#UpdateDescr input[name='sc']").val();

	    $.ajax({
				type: "POST",
				url: "functions.ajax.php",
				data: {"action":"update_descr","descr":descr,"sc":sc},
				success: function(msg) {
					$("#UpdateDescrStatus").html(msg);
					$("#UpdateDescrStatus").fadeIn();
				}
		});
		return false;
	});

	//rotate images
	$(".rotateImg").click(function() {
		var sc = getGetVars($(this).attr("href"),"sc");
		var dir = getGetVars($(this).attr("href"),"dir");
    var ts = new Date();
    ts = ts.getTime();
    $("#rotIndicator").fadeIn();
		$("#imgPrev"+sc).fadeTo("fast",0.5);
		var imgCode;
		if ($("#imgPrev"+sc).attr("src").match(/tn\.php/)) {
			imgCode = getGetVars($("#imgPrev"+sc).attr("src"),"id");
		} else {
			imgCode = $("#imgPrev"+sc).attr("src").match(/tn([\w]+)S/)[1];
		}
		$.ajax({
			type: "POST",
			url: "functions.ajax.php",
			data: {"action":"flipImg","sc":sc,"dir":dir},
			success: function(msg) {
				if (msg == "OKSEO") {
					$("#imgPrev"+sc).attr("src","tn" + imgCode + "S7.jpg?" + ts);
					$("#imgSlidePrev"+sc).attr("src","tn" + imgCode + "S8.jpg?" + ts);
				} else if (msg == "OK"){
					$("#imgPrev"+sc).attr("src","tn.php?user=ShareAccount&id=" + imgCode + "&s=7&" + ts);				
					$("#imgSlidePrev"+sc).attr("src","tn.php?user=ShareAccount&id=" + imgCode + "&s=8&" + ts);				
				} else {
					alert(msg);
				}
   			$("#rotIndicator").fadeOut();
				$("#imgPrev"+sc).fadeTo("fast",1);	
			}
		});
		return false;
	}); 

	//delete image
	$(".DelImgL").live("click",function() {
		if (!confirm("Are you sure to delete this file?\n\nThis cannot be undone!")) {
			return false;
		} else {
			var sc = getGetVars($(this).attr("href"),"sc");
			$.ajax({
				type: "POST",
				url: "functions.ajax.php",
				data: {"action":"delete","sc":sc},
				success: function(msg) {
					if (msg == "OK") {
						$("#img"+sc).fadeOut( function() {
							$(this).remove();
						});
					} else {
						alert(msg);
					}
				}
			});
		}
		return false;
	});

});
