<?php
  include_once("conf.php");
  include_once("functions.php");
  
  cleanUp();
  
  
  $sharec = $_REQUEST["sc"];
  $action = $_REQUEST["action"];
  $current = "share";
 
  /*** Language File ***/
  $lang_file = "lang/$use_lang/share.lang.php";
  if (file_exists($lang_file)) {
    include($lang_file);
  } else {
    $output = error(array("Language file $lang_file not found"));
    exit($output);  
  }
  
  //uistyle
  switch ($style) {
    case "light": $uistyle = "ui-lightness"; break;
    case "dark": $uistyle = "ui-darkness"; break;
    case "woody": $uistyle = "ui-woody"; break;
  }
  
  $add2head .= '<link type="text/css" href="css/' . $uistyle . '/jquery-ui-1.7.3.custom.css" rel="stylesheet" />	
  		<script type="text/javascript" src="js/jquery-ui-1.7.3.custom.min.js"></script>';
  if ($multi) {
    $add2head .= "<script type='text/javascript' src='js/jquery.scrollable.min.js'></script>";
  }

  //file description before form actions
  if (!$action) {
    $file = $upload_dir_prefix . "share/" . sharecode($sharec,"decode",true) . "/descr.txt";
    $descr = (file_exists($file) ? file_get_contents($file) : false);
  } 

  if ($action) {
    $in_site = true;
    include("functions.ajax.php");
  }

  include ("includes/header.php");


  echo "<div id='logo'><a href='$url'><img src='images/logo.png' alt='' /></a></div>";

  echo "<div id='content'>";

if ($multi) {
  //Multiple Images overview with JQ-Scrollable [+]
  if (!$_SESSION["multi_ids_tmp"]) {
    $_SESSION["multi_ids_tmp"] = $_SESSION["multi_ids"];
    unset($_SESSION["multi_ids"]);
  }
  $multi_img = $_SESSION["multi_ids_tmp"];
  $multi_img_cnt = count($multi_img);
  if ($multi_img_cnt > 1) {
    if ($multi_img_cnt > 5) echo "<a class='prev browse left disabled'></a>";
    echo "<div class='scrollable'><div class='items'>";
    for ($i=0;$i<$multi_img_cnt;$i++) {
      if ($i && !($i%5)) echo "</div>\n";
      if (!$i || !($i%5)) echo "<div>";
      $this_scharec = sharecode($multi_img[$i],"encode");
      $this_scharecadm = sharecode($multi_img[$i],"encode",true);
      echo "<a href='share.php?sc=$this_scharecadm'><img src='" . ($mod_rewrite ? "tn" . $this_scharec . "S8.jpg" : "tn.php?user=ShareAccount&amp;id=$this_scharec&amp;s=8") . "' alt='' id='imgSlidePrev$this_scharecadm' /></a>\n";
      if ($sharec == $this_scharecadm) $seekTo = floor($i/5);
    }
    echo "</div>\n";
    echo "</div></div>";
    if ($multi_img_cnt > 5) echo "<a class='next browse right'></a>";
  
    if ($seekTo) {
      echo '<script type="text/javascript">
        window.onload = setSelectedImage;
      	function setSelectedImage(){                      
              var api =  $("div.scrollable").scrollable();
          		api.seekTo(' . $seekTo . ');
          };
      </script>';
    }
  }
  if (!$sharec) $sharec = sharecode($multi_img[0],"encode",true);

  echo "<p class='clear'></p>";
}




echo "<h1>" . lang("hl_shared") . "</h1>";
    
    //check image
    $id = sharecode($sharec,"decode",true);
    
    $official_sharec = sharecode($id,"encode");

    echo "<div class='sharedpic'><img src='" . ($mod_rewrite ? "tn" . $official_sharec . "S7.jpg" : "tn.php?user=ShareAccount&amp;id=$official_sharec&amp;s=7") . "' alt='' id='imgPrev$sharec' />
      <img src='images/loader.gif' alt='' class='tn_loader' id='rotIndicator'/></div>";

    echo "<div class='tac'>
    <a href='" . $_SERVER["PHP_SELF"] . "?sc=$sharec&amp;action=flipImg&amp;dir=ccw&amp;" . time() . "' class='rotateImg'><img src='images/icons/arrow_turn_left.png' alt='" . lang("descr_ccw") . "' title='" . lang("descr_ccw") . "' /></a>
    <a href='" . $_SERVER["PHP_SELF"] . "?sc=$sharec&amp;action=flipImg&amp;dir=cw&amp;" . time() . "' class='rotateImg'><img src='images/icons/arrow_turn_right.png' alt='" . lang("descr_cw") . "' title='" . lang("descr_cw") . "' /></a>
    </div>";
    
/** different publishing and editing blocks **/

//Links
$blocks[] = array("headline" => sprintf(lang("hl_companylinks"),$site_name),
  "headline_short" => lang("hl_companylinks_short"),
  "content" => "" . lang("descr_big") . "<br />
    &nbsp;&nbsp;<input type='text' value='" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : "shared.php?sc=$official_sharec&amp;s=30") . "' class='fw1' /> <a href='" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : "shared.php?sc=$official_sharec&amp;s=30") . "' onclick='javascript:window.open(this.href); return false;'><img src='images/ico_world_link.png' alt='visit link' class='iu' /></a><br />
    " . lang("descr_medium") . "<br />
    &nbsp;&nbsp;<input type='text' value='" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S7" : "shared.php?sc=$official_sharec&amp;s=7") . "' class='fw1' /> <a href='" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S7" : "shared.php?sc=$official_sharec&amp;s=7") . "' onclick='javascript:window.open(this.href); return false;'><img src='images/ico_world_link.png' alt='visit link' /></a><br />
    " . lang("descr_small") . "<br />
    &nbsp;&nbsp;<input type='text' value='" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S4" : "shared.php?sc=$official_sharec&amp;s=4") . "' class='fw1' /> <a href='" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S4" : "shared.php?sc=$official_sharec&amp;s=4") . "' onclick='javascript:window.open(this.href); return false;'><img src='images/ico_world_link.png' alt='visit link' /></a>");

//Social networking    
$blocks[] = array("headline" => lang("hl_social"),
  "headline_short" => lang("hl_social_short"),
  "content" => "<a href='http://www.facebook.com/sharer.php?u=" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : urlencode("shared.php?sc=$official_sharec&s=30")) . "&amp;t=" . urlencode("image on $site_name") . "' onclick=\"openWin('http://www.facebook.com/sharer.php?u=" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : urlencode("shared.php?sc=$official_sharec&s=30")) . "&amp;t=" . urlencode("image on $site_name") . "',600,350,'yes','yes');return false;\"><img src='images/ico_facebook.png' alt='facebook' title='facebook' /></a>
    <a href='http://www.myspace.com/Modules/PostTo/Pages/?u=" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : urlencode("shared.php?sc=$official_sharec&s=30")) . "' onclick=\"openWin('http://www.myspace.com/Modules/PostTo/Pages/?u=" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : urlencode("shared.php?sc=$official_sharec&s=30")) . "',600,350,'yes','yes');return false;\"><img src='images/ico_myspace.png' alt=' myspace' title='myspace' /></a>
    <a href='http://reddit.com/submit?url=" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : urlencode("shared.php?sc=$official_sharec&s=30")) . "&amp;title=" . urlencode("image on $site_name") . "' onclick='javascript:window.open(this.href); return false;'><img src='images/ico_reddit.png' alt='reddit' title='reddit' /></a>
    <a href='http://digg.com/submit?url=" . urlencode($url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : "shared.php?sc=$official_sharec&s=30")) . "' onclick='javascript:window.open(this.href); return false;'><img src='images/ico_digg.png' alt='digg' title='digg' /></a>
    <a href='http://twitter.com/home?status=" . urlencode("Check out my new image on " . $url . "/S" . ($mod_rewrite ? "S" . $official_sharec . "S30" : "shared.php?sc=$official_sharec&s=30")) . "' onclick='javascript:window.open(this.href); return false;'><img src='images/ico_twitter.png' alt='twitter' title='twitter' /></a><br /><br />
    <i>" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : "shared.php?sc=$official_sharec&amp;s=30") . "</i>");

//Image Links
//tn.php?user=ShareAccount&id=$1&s=$2
$blocks[] = array("headline" => lang("hl_imagelinks"),
  "headline_short" => lang("hl_imagelinks_short"),
  "content" => lang("descr_imagetag") . "<br />
    &nbsp;&nbsp;<input type='text' value='&lt;img src=&quot;" . $url . "/" . ($mod_rewrite ? "tn" . $official_sharec . "S30.jpg" : "tn.php?user=ShareAccount&amp;id=$official_sharec&amp;s=30") . "&quot; alt=&quot;shared via $site_name&quot; /&gt;' class='fw1' /><br />
    " . lang("descr_imagetagbb") . "<br />
    &nbsp;&nbsp;<input type='text' value='[IMG]" . $url . "/" . ($mod_rewrite ? "tn" . $official_sharec . "S7.jpg" : "tn.php?user=ShareAccount&amp;id=$official_sharec&amp;s=7") . "[/IMG]' class='fw1' /><br />
    " . lang("descr_imagelinkbb") . "<br />
    &nbsp;&nbsp;<input type='text' value='[URL=" . $url . "/" . ($mod_rewrite ? "S" . $official_sharec . "S30" : "shared.php?sc=$official_sharec&amp;s=30") . "][IMG]" . $url . "/" . ($mod_rewrite ? "tn" . $official_sharec . "S4.jpg" : "tn.php?user=ShareAccount&amp;id=$official_sharec&amp;s=4") . "[/IMG][/URL]' class='fw1' /><br />
    <div class='alert'>" . lang("info_imagelinks") . "</div>");
    
//Mail to friend
$blocks[] = array("headline" => lang("hl_email"),
  "headline_short" => lang("hl_email_short"),
  "content" => "<div id='ShareMailStatus' class='hideStatMess'></div>
    $mailStat
    <form id='ShareMail' action='share.php' method='post'>
      <div>
        <input type='hidden' name='action' value='send' />
        <input type='hidden' name='sc' value='$sharec' />
        " . lang("descr_mailto") . "<br />
        &nbsp;&nbsp;<input name='mailto' type='text' class='fw2' value='$mailto' /><br />
        " . lang("descr_mailfrom") . "<br />
        &nbsp;&nbsp;<input name='mailfrom' type='text' class='fw2' value='$mailfrom' /><br />
        " . lang("descr_message") . "<br />
        &nbsp;&nbsp;<textarea name='message' class='ta2' rows='4' cols='20'>$message</textarea><br />
        <input type='submit' value='Share' class='button' />
      </div>
    </form>");    

//Edit description
$blocks[] = array("headline" => lang("hl_descr"),
  "headline_short" => lang("hl_descr_short"),
  "content" => "<div id='UpdateDescrStatus' class='hideStatMess'></div>
    $descrStat
    <form id='UpdateDescr' action='share.php' method='post'>
      <div>
        <input type='hidden' name='action' value='update_descr' />
        <input type='hidden' name='sc' value='$sharec' />
        " . lang("descr_descr") . "<br />
        &nbsp;&nbsp;<input name='descr' type='text' class='fw1' value='" . he($descr) . "' /><br />
        <input type='submit' value='Update' class='button' />
      </div>
    </form>");   
    
/***
 * Output of the blocks
 ***/
//UI Accordion [+]
if ($displaymode == "accordion") {
  echo "<div id='accordion'>";
  for ($i=0;$i<count($blocks);$i++) {
    $this_block = $blocks[$i];
    echo "<h3><a href='#'>" . $this_block["headline"] . "</a></h3>
      <div>" . $this_block["content"] . "</div>\n";
  }
  echo "</div>";
} 
//UI Accordion [-]
//UI Tabs [+]
if ($displaymode == "tabs") {
  for ($i=0;$i<count($blocks);$i++) {
    $this_block = $blocks[$i];
    $tabs .= "<li><a href='#tabs-$i'>" . $this_block["headline_short"] . "</a></li>\n";
    $tabc .= "<div id='tabs-$i'>" . $this_block["content"] . "</div>\n";
  }
  echo "<div id='tabs'>";
  echo "<ul>$tabs</ul>\n" . $tabc;
  echo "</div>";
  
} 
//UI Tabs [-]

if ($del_days) echo "<div class='info'>" . sprintf(lang("info_del_pics" . ($upd_mod_time ? "_acc" : "")),$del_days) . "</div>";

echo "</div>"; //content


include ("includes/footer.php");
?>