<?php
  include("conf.php");
  include("functions.php");
  
  /*** Language File ***/
  $lang_file = "lang/$use_lang/share.lang.php";
  if (file_exists($lang_file)) {
    include($lang_file);
  } else {
    $output = error(array("Language file $lang_file not found"));
    exit($output);  
  }
  
  
  
  $current = "start";
  
  $add2head .= '<!-- for the Uploadify tool -->
        <script type="text/javascript" src="js/swfobject.js"></script>
        <script type="text/javascript" src="js/jquery.uploadify.v2.1.0.min.js"></script>
        <script type="text/javascript">
          $(document).ready(function() {
            if (FlashDetect.installed) {
            	$("#uploadify").uploadify({
            		"uploader"       : "uploadify/uploadify.swf",
            		"script"         : "uploadify/uploadify.php",
            		"cancelImg"      : "images/cancel.png",
            		"auto"           : true,
            		"multi"          : ' . ($multi?"true":"false") . ',
            		' . ($multi&&$multi_max ? '"queueSizeLimit" : ' . $multi_max . ',' : '') . '
            		"fileExt"        : "*.jpg;*.jpeg;*.png;*.gif",
            		"fileDesc"       : "Image Files (*.jpg,*.jpeg,*.png,*.gif)",
            		' . ($multi ? 
                      '"onAllComplete"  : function(event, data) {
                                           document.location.href="share.php";
                                          }' : 
                      '"onComplete"     : function(event, queueID, fileObj, response, data) {
                                            document.location.href="share.php?sc=" + response;
                                          }') . ',
                "buttonImg"      : "images/btn_upload.png",
                "width"          : 125,
                "height"         : 45,
                "wmode"          : "transparent",
                "onInit"         : function() {
                                     document.getElementById("formuplf").style.display = "block";
                                     document.getElementById("formbt").style.display = "none";
                                   },
                "queueID"        : "fQ",
                "scriptData"     : { "sid":  "' . session_id() . '"
                                  
                                   }
            	});
            }
          });
        </script>';
  include ("includes/header.php");

  // setup [+]
  //after installation you could delete these lines between setup [+] and setup [-]
  if (!is_writable($upload_dir_prefix)) {
    echo error(array("<b>$upload_dir_prefix</b> isn't writeable.<br>Please use <b>chmod 757</b> to fix it."));
    include("includes/footer.php");
  }
  // setup [-]

?>
  <div id='logo'><img src='images/logo.png' alt='' /></div>

  <div id="upload">
    <form method="post" action="uploadify/uploadify.php" enctype="multipart/form-data">
      <div id="formbt">

        <div class="file-upload-container">
          <div class="file-upload-override-button left">
            <?php echo lang("descr_choose_file"); ?>
              <input type="file" name="file" class="file-upload-button" id="file-upload-button" />
          </div>
          <div class="file-upload-filename left" id="file-upload-filename"><?php echo lang("descr_nofile"); ?></div>
          <div class="both"></div>
        </div> 

        <br /><br />
        <input type="hidden" name="js" value="false" />
        <input type="image" src="images/btn_upload.png" value="upload image" />
      </div>
    </form>
    <div id="formuplf">
      <input type="file" name="uploadify" id="uploadify" />
      <div id='fQ'></div>
    </div>
  </div>
  


<?php
  include ("includes/footer.php");
?>