<?php
  include_once("conf.php");
  include_once("functions.php");
  
  cleanUp();
  
  $action = $_REQUEST["action"];
  
  if ($action) {
    $in_site = true;
    include("functions.ajax.php");
  }


  if ($action == "logout") {
    $auth = $_SESSION["sis_auth"] = false;
    header("location: index.php");
  }  
  
  if ($action == "cv") {
    switch($_REQUEST["v"]) {
      case "g": $_SESSION["admin_style"] = "galleriffic"; break;
      case "l": $_SESSION["admin_style"] = "listview"; break;
      default: $_SESSION["admin_style"] = "listview";
    }
  }
  
  
  $auth = $_SESSION["sis_auth"];
  $admin_style = $_SESSION["admin_style"];
  
  if (!$admin_style) $admin_style = "listview";
  
  if ($action == "authenticate") {
    $user = trim($_REQUEST["user"]);
    $pass = trim($_REQUEST["pass"]);
    if (!$user || !$pass) $error = "Please type in username and password to authenticate.";
    else {
      if ($user == $admin_user && $pass == $admin_pass) {
        $auth = $_SESSION["sis_auth"] = true;
      } else {
        $error = "Login failed";
      }
    }
  }
  
  
  
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fa" lang="fa">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta name="author" content="persianscript.ir" />
    <meta name="revisit-after" content="10 days" />
    <meta http-equiv="Content-Style-Type" content="text/css" />
    
    <link rel="stylesheet" href="css/admin.css" type="text/css" />
    <script type='text/javascript' src='js/jquery.1.9.1.min.js'></script>
    <script type="text/javascript" src="js/jquery-migrate-1.1.1.min.js"></script>
    <script type="text/javascript" src="js/sis.min.js"></script>

    <?php
      if ($admin_style == "galleriffic") {
        echo "<script type='text/javascript' src='js/jquery.galleriffic.js'></script>
          <script type='text/javascript' src='js/jquery.opacityrollover.js'></script>";
      }
         
    ?>
    
    <title><?php echo $site_name; ?> - مدیریت</title>
  </head>
<body>

<?php
  //Loginform
  if (!$auth) {
?>
  <form method='post' action='<?php echo $_SERVER["PHP_SELF"]; ?>' id='loginf'>
    <div class='formholder'>
      <h3 class='hl'><?php echo $site_name; ?> - ورود</h3>
      
      <?php
        if ($error) echo "<div class='error'>$error</div>";
      ?>
      
      <input type='hidden' name='action' value='authenticate' />
      <label>نام کاربری:</label>
      <input type='text' name='user' value='<?php echo $user; ?>' />
      <label>رمز عبور:</label>
      <input type='password' name='pass' value='' />
      <input type='submit' value='ورود به مدیریت' />
	  <p>فارسی سازی اسکریپت توسط : پرشین اسکریپت</p>
    </div>  
  </form>
<?php
  } 
  //Logged in
  else {
    echo "<h2 class='hl'>$site_name - مدیریت</h2>";
    echo "<p class='textright'>";
    if ($admin_style == "galleriffic") echo "[ <a href='" . $_SERVER["PHP_SELF"] . "?action=cv&amp;v=l' title='list style'><b>==</b></a> ]";
    else echo "[ <a href='" . $_SERVER["PHP_SELF"] . "?action=cv&amp;v=g' title='galleriffic style'><b>:::</b></a> ]"; 
    echo " [ <a href='" . $_SERVER["PHP_SELF"] . "?action=logout'>خروج</a> ]
    </p>";
     
    //get images
    $dir = $upload_dir_prefix . "share";
    $d = opendir($dir);
    while(false !== ($file = readdir($d))) {
      if (is_numeric($file)) {
        $file = intval($file);
        $ids[] = $file;
        $descrfile = $dir . "/" . $file . "/descr.txt";
        $descrs[$file] = (file_exists($descrfile) ? trim(file_get_contents($descrfile)) : false);
        $infosfile = $dir . "/" . $file . "/infos.txt";
        $infos[$file] = (file_exists($infosfile) ? trim(file_get_contents($infosfile)) : false);
        $dates[$file] = filectime("$dir/$file/s3/");
      }
    }
    closedir($d);
  
    rsort($ids);

    
    if ($error) echo "<div class='error'>$error</div>";
    if ($success) echo "<div class='success'>$success</div>";
    
    
    if ($ids) {
      $cnt_ids = count($ids);
      echo "<h3 class='hl'>$cnt_ids تصویر وجود دارد</h3>";
      
      
      //Show images in list form
      //list view [+]
      if ($admin_style == "listview") {
        for ($i=0;$i<$cnt_ids;$i++) {
          $id = $ids[$i];
          $sco = sharecode($id);  //official
          $sca = sharecode($id,"encode",true);  //admin purposes
          $descr = $descrs[$id];
          $info = $infos[$id];
          $date = $dates[$id];
          
          echo "<div class='imgitem' id='img$sca'>
              <div class='imgholder'><a href='" . ($mod_rewrite ? "tn" . $sco . "S30.jpg" : "tn.php?user=ShareAccount&amp;id=$sco&amp;s=30") . "'><img src='" . ($mod_rewrite ? "tn" . $sco . "S4.jpg" : "tn.php?user=ShareAccount&amp;id=$sco&amp;s=4") . "' alt='' /></a></div>
              <div class='details'>
                <h4 class='hl'>شناسه: $id - " . ($descr ? $descr : "no description") . "</h4>
                <label>لینک مدیریت</label><a href='share.php?sc=$sca' onclick='javascript:window.open(this.href); return false;'>$url/share.php?sc=$sca</a><p class='clear'></p>
                <label>لینک تصویر</label><a href='" . ($mod_rewrite ? "S" . $sco . "S30" : "shared.php?sc=$sco&amp;s=30") . "' onclick='javascript:window.open(this.href); return false;'>" . $url . "/" . ($mod_rewrite ? "S" . $sco . "S30" : "shared.php?sc=$sco&amp;s=30") . "</a><p class='clear'></p>
                <label>مکان در سرور</label>$dir/$id<p class='clear'></p>
                <label>اطلاعات</label>" . ($info ? $info : "none") . "<p class='clear'></p>
                <label>تاریخ ایجاد</label>" . date("d M Y H:i",$date) . "<p class='clear'></p>
                <label>ابزار ها</label>[<a href='" . $_SERVER["PHP_SELF"] . "?action=delete&amp;sc=$sca#img" . ($i-1) . "' class='DelImgL'>حذف</a>]<p class='clear'></p>
              </div>
            <p class='clear'></p>
            </div>\n";
        }
      } //list view [-]
      
      //Show images in galleriffic style
      //galleriffic view [+]
      if ($admin_style == "galleriffic") {
        echo '<div id="galholder"><div id="gallery" class="content"><div id="controls" class="controls"></div>
  					<div class="slideshow-container">
  						<div id="loading" class="loader"></div>
  						<div id="slideshow" class="slideshow"></div>
  					</div>
            <div id="caption" class="caption-container"></div>
				  </div>
          <div id="thumbs" class="navigation">
  					<ul class="thumbs noscript">';
  					
        for ($i=0;$i<$cnt_ids;$i++) {
          $id = $ids[$i];
          $sco = sharecode($id);  //official
          $sca = sharecode($id,"encode",true);  //admin purposes
          $descr = $descrs[$id];
          $info = $infos[$id];
          $date = $dates[$id];
          
          
          echo "<li id='img$sca'>
							<a class='thumb' href='" . ($mod_rewrite ? "tn" . $sco . "S9.jpg" : "tn.php?user=ShareAccount&amp;id=$sco&amp;s=9") . "' title='ID: $id'>
								<img src='" . ($mod_rewrite ? "tn" . $sco . "S8.jpg" : "tn.php?user=ShareAccount&amp;id=$sco&amp;s=8") . "' alt='ID: $id' />
							</a>
							<div class='caption'>
								<div class='download'>
									<a href='" . ($mod_rewrite ? "tn" . $sco . "D.jpg" : "tn.php?user=ShareAccount&amp;id=" . $sco . "&amp;download=true") . "'>Download Original</a>
								</div>
								<div class='image-title'>ID: $id</div>
								<div class='image-desc'>" . ($descr ? $descr : "no description") . "</div>
                <b>Administration-Link:</b> <a href='share.php?sc=$sca' onclick='javascript:window.open(this.href); return false;'>share.php?sc=$sca</a><br />
                <b>Promotion-Link:</b> <a href='" . ($mod_rewrite ? "S" . $sco . "S30" : "shared.php?sc=$sco&amp;s=30") . "' onclick='javascript:window.open(this.href); return false;'>" . ($mod_rewrite ? "S" . $sco . "S30" : "shared.php?sc=$sco&amp;s=30") . "</a><br />
                <b>Server-Location:</b> $dir/$id<br />
                <b>Infos:</b> " . ($info ? $info : "none") . "<br />
                <b>Created:</b> " . date("d M Y H:i",$date) . "<br />
                <b>Tools:</b> [<a href='" . $_SERVER["PHP_SELF"] . "?action=delete&amp;sc=$sca#img" . ($i-1) . "' class='DelImgL'>Delete</a>]
							</div>
						</li>";
        }
        echo '</ul>
				  </div>
          </div>';
      
        //initialize Galleriffic
?>
<script type="text/javascript">
			jQuery(document).ready(function($) {
				// We only want these styles applied when javascript is enabled
				$('div.navigation').css({'width' : '300px', 'float' : 'left'});
				$('div.content').css('display', 'block');

				// Initially set opacity on thumbs and add
				// additional styling for hover effect on thumbs
				var onMouseOutOpacity = 0.67;
				$('#thumbs ul.thumbs li').opacityrollover({
					mouseOutOpacity:   onMouseOutOpacity,
					mouseOverOpacity:  1.0,
					fadeSpeed:         'fast',
					exemptionSelector: '.selected'
				});
				
				// Initialize Advanced Galleriffic Gallery
				var gallery = $('#thumbs').galleriffic({
					delay:                     2500,
					numThumbs:                 14,
					preloadAhead:              10,
					enableTopPager:            true,
					enableBottomPager:         true,
					maxPagesToShow:            7,
					imageContainerSel:         '#slideshow',
					controlsContainerSel:      '#controls',
					captionContainerSel:       '#caption',
					loadingContainerSel:       '#loading',
					renderSSControls:          true,
					renderNavControls:         true,
					playLinkText:              'اجرای اسلایدشو',
					pauseLinkText:             'Pause Slideshow',
					prevLinkText:              '&lsaquo; تصویر قبل',
					nextLinkText:              'تصویر بعد &rsaquo;',
					nextPageLinkText:          'بعد &rsaquo;',
					prevPageLinkText:          '&lsaquo; قبل',
					enableHistory:             false,
					autoStart:                 false,
					syncTransitions:           true,
					defaultTransitionDuration: 900,
					onSlideChange:             function(prevIndex, nextIndex) {
						// 'this' refers to the gallery, which is an extension of $('#thumbs')
						this.find('ul.thumbs').children()
							.eq(prevIndex).fadeTo('fast', onMouseOutOpacity).end()
							.eq(nextIndex).fadeTo('fast', 1.0);
					},
					onPageTransitionOut:       function(callback) {
						this.fadeTo('fast', 0.0, callback);
					},
					onPageTransitionIn:        function() {
						this.fadeTo('fast', 1.0);
					}
				});
			});
		</script>
<?php
      } //galleriffic view [-]
    } else {
      echo "<div class='alert'>هیچ تصویری وجود ندارد</div>";
    }
  }
    
?>

</body>
</html>